# Uses of Class
org.jmol.util.MeshSurface

Packages that use MeshSurface
Package
Description
org.jmol.api
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.jvxl.data
org.jmol.shape
org.jmol.shapecgo
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.util

## Uses of MeshSurface in org.jmol.api

Methods in org.jmol.api with parameters of type MeshSurface
Modifier and Type
Method
Description
`void`
JmolRendererInterface.`drawSurface(MeshSurface meshSurface, short colix)`

## Uses of MeshSurface in org.jmol.export

Methods in org.jmol.export that return MeshSurface
Modifier and Type
Method
Description
`protected static MeshSurface`
___Exporter.`getConeMesh(P3 centerBase, M3 matRotateScale, short colix)`
Methods in org.jmol.export with parameters of type MeshSurface
Modifier and Type
Method
Description
`protected void`
_ObjExporter.`drawSurface(MeshSurface meshSurface, short colix)`
`void`
Export3D.`drawSurface(MeshSurface meshSurface, short colix)`

## Uses of MeshSurface in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type MeshSurface
Modifier and Type
Method
Description
`void`
Graphics3D.`drawSurface(MeshSurface meshSurface, short colix)`

## Uses of MeshSurface in org.jmol.jvxl.data

Subclasses of MeshSurface in org.jmol.jvxl.data
Modifier and Type
Class
Description
`class`
`MeshData`

## Uses of MeshSurface in org.jmol.shape

Subclasses of MeshSurface in org.jmol.shape
Modifier and Type
Class
Description
`class`
`Mesh`

## Uses of MeshSurface in org.jmol.shapecgo

Subclasses of MeshSurface in org.jmol.shapecgo
Modifier and Type
Class
Description
`class`
`CGOMesh`

## Uses of MeshSurface in org.jmol.shapespecial

Subclasses of MeshSurface in org.jmol.shapespecial
Modifier and Type
Class
Description
`class`
`DrawMesh`

## Uses of MeshSurface in org.jmol.shapesurface

Subclasses of MeshSurface in org.jmol.shapesurface
Modifier and Type
Class
Description
`class`
`IsosurfaceMesh`

## Uses of MeshSurface in org.jmol.util

Fields in org.jmol.util declared as MeshSurface
Modifier and Type
Field
Description
`protected MeshSurface`
MeshSlicer.`m`
Methods in org.jmol.util that return MeshSurface
Modifier and Type
Method
Description
`static MeshSurface`
MeshSurface.`getSphereData(int lvl)`
Calculates the data (faces, vertices, normals) for a sphere.
`static MeshSurface`
MeshSurface.`newMesh(boolean isAlt, T3[] vertices, int vertexCount, int[][] polygonIndexes, T3[] normals, int nNormals)`
Methods in org.jmol.util with parameters of type MeshSurface
Modifier and Type
Method
Description
`void`
MeshSlicer.`getIntersection(float distance, P4 plane, P3[] ptCenters, Lst<P3[]> vData, float[] fData, BS bsSource, MeshSurface meshSurface, boolean andCap, boolean doClean, int tokType, boolean isGhost)`